Subject: Re: bug#77503: 30.1; eww does not fall back to ipv4 if ipv6 is not working

From: Francesco Potortì <[email-masked]>
Date: Fri, 04 Apr 2025 10:45:38 +0200

>    Francesco> If a target has both an ipv6 and an ipv4 address, Eww uses ipv6 as
>    Francesco> usual.  But if ipv6 connectivity is broken, Eww does not fall back to
>    Francesco> ipv4, while it should.  Following is an example situation that I can
>    Francesco> observe here where Eww fails.
>
>This is a generic problem with all network connection functionality in
>Emacs. Weʼd need to implement something like Happy Eyeballs (RFC
>8305), which would need support from the C core.

Thanks.  I've learned something today.  I set Eww to use curl as a backend as a workaround

-- 
fp